#
# spec file for package perl-Test-Lib
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Test-Lib
Name:           perl-Test-Lib
Version:        0.003
Release:        1.11
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Use libraries from a t/lib directory
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Searches upward from the calling module for a directory _t_ with a _lib_
directory inside it, and adds it to the module search path. Looks upward up
to 5 directories. This is intended to be used in test modules either
directly in _t_ or in a subdirectory to find their included testing
libraries located in _t/lib_.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Tue May 24 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.003
  see /usr/share/doc/packages/perl-Test-Lib/Changes
  0.003 - 2022-05-23
  - fail with croak rather than die
  - miscellaneous packaging cleanups
* Thu Aug 26 2021 Dirk Stoecker <opensuse@dstoecker.de>
- cleanup spec file
* Mon May 29 2017 coolo@suse.com
- initial package 0.002
  * created by cpanspec 1.78.08
